Package de.tudresden.sumo.objects

## Class SumoVehicleData.VehicleData

- java.lang.Object
- - de.tudresden.sumo.objects.SumoVehicleData.VehicleData

- Enclosing class:
    SumoVehicleData

      public static class SumoVehicleData.VehicleData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `entry_time` |
    `double` | `leave_time` |
    `double` | `length` |
    `String` | `typeID` |
    `String` | `vehID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VehicleData​(String vehID, double length, double entry_time, double leave_time, String typeID)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vehID

          public String vehID

    - #### length

          public double length

    - #### entry_time

          public double entry_time

    - #### leave_time

          public double leave_time

    - #### typeID

          public String typeID

  - ### Constructor Detail

    - #### VehicleData

          public VehicleData​(String vehID,
                             double length,
                             double entry_time,
                             double leave_time,
                             String typeID)